Cloud accounts
Create vSphere credentials inside an vSphere cloud account.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$cloudAccountIdentity*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/orgs/string/cloud-accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08/credentials/vsphere" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string" }'{ "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "displayName": "string", "cloudType": "string", "cloudAccountIdentity": "763d6cbd-4c53-4613-bba9-cb8f34de18a7", "createdAt": "2019-08-24T14:15:22Z", "metadata": { "property1": "string", "property2": "string" }, "isPrimary": true}